/**
 * Returns signed distance from `p` to 2D line segment `a` -> `b`.
 *
 * @param p - vec2
 * @param a - vec2
 * @param b - vec2
 */
export declare const sdfLine2: import("@thi.ng/shader-ast").TaggedFn3<"vec2", "vec2", "vec2", "float">;
/**
 * Returns signed distance from `p` to 3D line segment `a` -> `b`.
 *
 * @param p - vec3
 * @param a - vec3
 * @param b - vec3
 */
export declare const sdfLine3: import("@thi.ng/shader-ast").TaggedFn3<"vec3", "vec3", "vec3", "float">;
//# sourceMappingURL=line.d.ts.map